<?php

namespace GivePaytm\Paytm\API\Exceptions;

use Exception;
use GivePaytm\Paytm\API\Translations;

/**
 * Class CreateTransactionAPIException
 * @since 1.1.1
 */
class CreateTransactionAPIException extends Exception {
	/**
	 * @var string $resultStatus
	 * @since 1.1.1
	 */
	protected $resultStatus;

	public function __construct( $resultStatus, $resultCode, $resultMsg ) {
		$this->resultStatus = $resultStatus;
		$resultMsg          = ( new Translations() )->getTranslation( 'transactionStatus', $resultCode ) ?? $resultMsg;

		parent::__construct( $resultMsg, $resultCode );
	}
}
