<?php

namespace GivePaytm\Paytm;

use Give\Donations\Models\Donation;
use Give\Framework\PaymentGateways\Commands\PaymentPending;
use Give\Framework\PaymentGateways\PaymentGateway;
use GivePaytm\Paytm\API\TransactionAPI;
use GivePaytm\Paytm\Repositories\Settings;


/**
 * Class PaytmPaymentGateway
 * @since 1.1.1
 */
class PaytmPaymentGateway extends PaymentGateway {
	/**
	 * @todo update markup for legacy form, v2 donation form and v3 donation forms.
	 *
	 * @since 1.1.1
	 */
	public function getLegacyFormFieldMarkup( int $form_id, array $args = array() ): string {
		return '';
	}

	/**
	 * @since 1.1.1
	 */
	public static function id(): string {
		return 'paytm';
	}

	/**
	 * @since 1.1.1
	 */
	public function getId(): string {
		return self::id();
	}

	/**
	 * @since 1.1.1
	 */
	public function getName(): string {
		return esc_html__( 'Paytm', 'give-paytm' );
	}

	/**
	 * @since 1.1.1
	 */
	public function getPaymentMethodLabel(): string {
		return give(Settings::class)->getPaymentMethodLabel();
	}

	/**
	 * @since 1.1.1
	 * @throws \Exception
	 */
	public function createPayment( Donation $donation, $gatewayData ): PaymentPending {
		give()->session->set( 'paytm_txn_token', ( new TransactionAPI() )->createTransaction( $donation ) );

		return new PaymentPending();
	}

	/**
	 * @since 1.1.1
	 */
	public
	function refundDonation(
		Donation $donation
	): void {
		// TODO: Implement refundDonation() method.
	}
}
